//
//  RSSFeedItem.h
//  UsenetEngine
//
//  Created by Ger Teunis on 5/20/10.
//  Copyright (c) 2013 VortexApps. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface RSSFeedItem : NSObject <NSCoding, NSCopying> {
	NSString *title;
	NSDate *pubDate;
	NSString *category;
	NSURL *link;
	NSString *description;
	NSString *GUID;
	NSNumber *downloaded;
	NSDate *addedDate;
    bool isNew;
    NSMutableArray *extraParsedNodes;
}

@property (nonatomic, retain) NSString *title;
@property (nonatomic, retain) NSDate *pubDate;
@property (nonatomic, retain) NSString *category;
@property (nonatomic, retain) NSURL *link;
@property (nonatomic, retain) NSString *description;
@property (nonatomic, retain) NSString *GUID;
@property (nonatomic, retain) NSNumber *downloaded;
@property (nonatomic, retain) NSDate *addedDate;
@property (nonatomic, assign) bool isNew;
@property (nonatomic, retain) NSMutableArray *extraParsedNodes;

@end
